%define python python2

Summary: Python bindings for ORBit2.
Name: pyorbit
Version: 2.14.1
Release: 1.1
License: LGPL
Group: Development/Languages
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: ORBit2 >= 2.3.103
Requires: libIDL >= 0.8.0
Requires: glib2 >= 2.4.0
Requires: %{python} >= 2.3
Buildrequires: %{python}-devel >= 2.3
Buildrequires: ORBit2-devel >= 2.6.0
Buildrequires: libIDL-devel >= 0.8.0
Buildrequires: glib2-devel >= 2.4.0
BuildRequires: pygtk2 >= 2.4.0
Obsoletes: orbit-python
# needed for automake/autoconf to work right with multilib python
Buildrequires: automake >= 1.6.3-5, autoconf, libtool

%description
pyorbit is an extension module for python that gives you access
to the ORBit2 CORBA ORB.

%package devel
Summary: Files needed to build wrappers for ORBit2 addon libraries.
Group: Development/Languages
Obsoletes: orbit-python-devel
Requires: %{name} = %{version}

%description devel
This package contains files required to build wrappers for ORBit2 addon
libraries so that they interoperate with pyorbit

%prep
%setup -q

%build
#[ -x /usr/bin/python2.2 ] && export PYTHON=/usr/bin/python2.2
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(755, root, root, 755)
%doc AUTHORS NEWS README ChangeLog
%{_libdir}/python?.?/site-packages/*.so
%{_libdir}/python?.?/site-packages/*.py
%{_libdir}/python?.?/site-packages/*.pyc
%{_libdir}/python?.?/site-packages/*.pyo

%files devel
%defattr(755, root, root, 755)
%dir %{_includedir}/pyorbit-2
%{_includedir}/pyorbit-2/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.14.1-1.1
- rebuild

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-1
- Update to 2.14.1

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0.1-4.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0.1-4.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sat Apr 16 2005 Florian La Roche <laroche@redhat.com>
- Copyright: -> License:

* Fri Nov 26 2004 Florian La Roche <laroche@redhat.com>
- add %%clean target

* Sun Nov  7 2004 Jeremy Katz <katzj@redhat.com> - 2.0.1-2
- rebuild for python 2.4

* Tue Sep 28 2004 Mark McLoughlin <markmc@redhat.com> 2.0.0-5
- Remove linc requires
- Fix multilib issue

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-2
- rebuild for python 2.3

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-1
- 2.0.0

* Wed Aug 20 2003 Jeremy Katz <katzj@redhat.com> 1.99.6-1
- 1.99.6

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.3-5
- rebuild against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.3-4
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Dec 28 2002 Jeremy Katz <katzj@redhat.com> 1.99.3-2
- fix defattr

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.3-1
- update to pyorbit 1.99.3, obsolete orbit-python

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure and %%makeinstall
- don't install .la files
- use %%_libdir for pkgconfig files

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Matt Wilson <msw@redhat.com>
- initial package

